package com.huguesjohnson.jail.neuralNetwork;

/*
neuralNetwork - Package of neural network objects
NeuronException.java
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.io.Serializable;
import java.lang.Exception;
import java.lang.String;

/** class NeuronException
 */
public class NeuronException extends Exception implements Serializable{

    /** Creates new NeuronException without detail message
     */
    public NeuronException(){
    }

    /** Constructs an NeuronException with the specified detail message
     * @param message the detail message
     */
    public NeuronException(String message){
        super(message);
    }
}